require 'blix/assets/asset_manager'

# add the asset_path method to the Controller if it is being used.
if defined? Blix::Rest
  module Blix
    module Rest
      class Controller
        def asset_path(partial_path)
          AssetManager.asset_path(full_path(partial_path),mode_production?)
        end
        
        # make a complete html tag for an asset
        def asset_tag(partial_path,opts={})
            AssetManager.asset_tag(full_path(partial_path),mode_production?,opts)
        end
        
      end
    end
  end
end
